<?php

function calcKcal($beer) {
  /* these are from  the homberewer's association and are for a 12 fl. oz. serving */
  $calfromalc = (1881.22 * ($beer['fg'] * ($beer['og'] - $beer['fg'])))/(1.775 - $beer['og']);
  $calfromcarbs = 3550.0 * $beer['fg'] * ((0.1808 * $beer['og']) + (0.8192 * $beer['fg']) - 1.0004);

  /* not sure what this is protecting aganst jc20170217 */
  if ( ($beer['og'] == 1) && ($beer['fg'] == 1 ) ) {
    $calfromalc = 0;
    $calfromcarbs = 0;
  }

  $totalKcal = $calfromalc + $calfromcarbs;
  if ($beer['servingSizeUnits'] == 'ml') {
    $scale = $beer['servingSizeValue'] / 12 / 29.5735;
  } elseif ($beer['servingSizeUnits'] == 'fl. oz.') {
    $scale = $beer['servingSizeValue'] / 12;
  } else {
    $scale = 0;
  }

  return number_format($totalKcal*$scale);
}

function calcAbv($beer) {
  return number_format((($beer['og']-$beer['fg'])*131),1,'.',',');
}

function calcUnitsEth($beer) { /* one unit is 10 ml of ethanol */
  $abv = calcAbv($beer);

  if ($beer['servingSizeUnits'] == 'ml') {
    $scale = 0.1;
  } elseif ($beer['servingSizeUnits'] == 'fl. oz.') {
    $scale = 29.5735*0.1;
  } else {
    $scale = 0;
  }

  return number_format($beer['servingSizeValue']*$abv/100*$scale ,1,'.',',');
}

?>

