<?php
  if (!file_exists(__DIR__.'/includes/config.php')) {
  header('Location: install/index.php', true, 303);
  die();
}
?>
<?php
  require_once __DIR__.'/includes/util.php';

  require_once __DIR__.'/includes/config_names.php';

  require_once __DIR__.'/includes/config.php';

  require_once __DIR__.'/admin/includes/managers/tap_manager.php';

  //This can be used to choose between CSV or MYSQL DB
  $db = true;

  // Setup array for all the beers that will be contained in the list
  $beers = array();

  if($db){
    // Connect to the database
    db();


    $config = array();
    $sql = "SELECT * FROM config";
    $qry = mysql_query($sql);
    while($c = mysql_fetch_array($qry)){
      $config[$c['configName']] = $c['configValue'];
    }

    $sql =  "SELECT * FROM vwGetActiveTaps";
    $qry = mysql_query($sql);
    while($b = mysql_fetch_array($qry))
    {
      $beeritem = array(
        "id" => $b['id'],
        "beername" => $b['name'],
        "style" => $b['style'],
        "notes" => $b['notes'],
        "og" => $b['ogAct'],
        "fg" => $b['fgAct'],
        "srm" => $b['srmAct'],
        "ibu" => $b['ibuAct'],
        "startAmount" => $b['startAmount'],
        "amountPoured" => $b['amountPoured'],
        "remainAmount" => $b['remainAmount'],
        "tapNumber" => $b['tapNumber'],
        "srmRgb" => $b['srmRgb'],
        "servingSizeValue" => $b['servingSizeValue'],
        "servingSizeUnits" => $b['servingSizeUnits'],
        "servingContainer" => $b['servingContainer'],
      );
      $beers[$b['tapNumber']] = $beeritem;
    }

    $tapManager = new TapManager();
    $numberOfTaps = $tapManager->GetTapNumber();
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">

<html>
<head>
  <title>RaspberryPints</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="refresh" content="300">


  <!-- Set location of Cascading Style Sheet -->
  <link rel="stylesheet" type="text/css" href="style-vert.css">
  <?php if($config[ConfigNames::UseHighResolution]) { ?>
    <link rel="stylesheet" type="text/css" href="high-res.css">
  <?php } ?>

  <link rel="shortcut icon" href="img/pint.ico">
</head>
<body>
<div class="bodywrapper">
<table>
<tr>
 <th>Tap #</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { ?>
 <td><span class="tapcircle"><?php echo $i; ?></span></td>
 <?php } ?>
</tr><tr>
 <th>Name</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { $val = (isset($beers[$i])) ? $beers[$i]['beername'] : "Empty"; ?>
 <td class="beerName"><h1><?php echo $val; ?></h1></td>
 <?php } ?>
</tr><tr>
 <th>Style</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { $val = (isset($beers[$i])) ? $beers[$i]['style'] : "American Light Lager"; ?>
 <td><h2><?php echo $val; ?></h2></td>
 <?php } ?>
</tr><tr>
 <th>Brew Date</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { $val = (isset($beers[$i])) ? $beers[$i]['brewdate'] : "Most Days"; ?>
 <td><span><?php echo $val; ?></span></td>
 <?php } ?>
</tr><tr>
 <th>OG - FG</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { 
         $og = $beers[$i]['og'];
         $fg = $beers[$i]['fg'];
         $srmRgb = isset($beers[$i]['srmRgb']) != "" ? $beers[$i]['srmRgb'] : "220,220,220";
         $srm = ($beers[$i]['srm'] != "") ? $beers[$i]['srm']." SRM" : "Transparent";
         $container = ($beers[$i]['servingContainer']) ? $beers[$i]['servingContainer'] : "standardpint&empty=yes";
  ?>
 <td>
   <img class="beerImage" src="img/containerSvg.php?glass=<?php echo $container; ?>&rgb=<?php echo $srmRgb; ?>" />
   <table class="statsTable">
    <tr><th>OG:</th><td><?php echo $og ?></td></tr>
    <tr><th>FG:</th><td><?php echo $fg ?></td></tr>
    <tr><th>Color:</th><td><?php echo $srm ?></td></tr>
   </table>
 </td>
 <?php } ?>
</tr><tr>
 <th>Serving Size</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { $servingSize = (isset($beers[$i]['servingSizeValue'])) ? $beers[$i]['servingSizeValue']." ".$beers[$i]['servingSizeUnits'] : "&infin;"; ?>
 <td><span><?php echo $servingSize; ?></span></td>
 <?php } ?>
</tr><tr>
 <th>Alcohol</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) {
   $abv = (isset($beers[$i])) ? number_format((($beers[$i]['og']-$beers[$i]['fg'])*131),1,'.',',') : "0";
   $unitsEth = (isset($beers[$i])) ? calcUnitsEth($beers[$i]) : "0";
 ?>
 <td><?php echo "$abv% ABV<br>$unitsEth units"; ?></span></td>
 <?php } ?>
</tr><tr>
 <th>Nutrition</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) {
   $cal = (isset($beers[$i]['og'])) ? calcKcal($beers[$i])." kcal" : "Zero!";
 ?>
 <td><span><?php echo "$cal"; ?></span></td>
 <?php } ?>
</tr><tr>
 <th>Bittering</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) {
         $ibu = (isset($beers[$i])) ? $beers[$i]['ibu'] : "0";
         $height = ($beers[$i]['ibu'] > 100) ? 100 : $beers[$i]['ibu']*100/60;
         $buGu = ($beers[$i]['og'] > 1) ? number_format((($beers[$i]['ibu'])/(($beers[$i]['og']-1)*1000)), 2, '.', '') : "0.00";
 ?>
 <td>
  <div class="ibu-container">
   <div class="ibu-indicator"><div class="ibu-full" style="height:<?php echo $height ?>%"></div></div>
  </div>
  <table class="statsTable">
  <tr><th>IBU:</th><td><?php echo $ibu; ?></td></tr>
  <tr><th>BU/GU:</th><td><?php echo $buGu; ?></td></tr>
  </table>
 </td>
 <?php } ?>
</tr><!--<tr>
 <th>ABV</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) {
         $abv = (isset($beers[$i])) ? number_format((($beers[$i]['og']-$beers[$i]['fg'])*131),1,'.',',').'%' : "1/&infin;";
 

 ?>
 <td class="abv">
  <div class="abv-container">
  <?php
   $numCups = 0;
   $remaining = $abv * 20;
   do {
    if ($remaining < 100) {
     $level = $remaining;
    } else {
     $level = 100;
    }?>
<div class="abv-indicator"><div class="abv-full" style="height:<?php echo $level; ?>%"></div></div><?php /******** NOTE: NO space permitted between these div  */
     $remaining -= $level;
     $numCups++;
   } while ($remaining > 0 && $numCups < 2);
   
   if ($remaining > 0) { ?><div class="abv-offthechart"></div><?php }
  ?>
  </div>
  <?php echo $abv; ?>
 </td>
 <?php } ?>
</tr>--><tr>
 <th>Notes</th>
 <?php for($i=1; $i<=$numberOfTaps; $i++) { if (isset($beers[$i])) { $val = $beers[$i]['notes']; } else { $o=array(); exec("/usr/games/fortune -an 200",$o); $val = join("\n",$o); } ?>
 <td class="beerName"><span><?php echo $val; ?></span></td>
 <?php } ?>
</tr>
</table><!-- main table -->
</div><!-- bodywrapper -->
</body>
</html>
